import request from '@/utils/request'

// 查询检验类型列表
export function listInspectionType(query) {
  return request({
    url: '/system/inspection-type/list',
    method: 'get',
    params: query
  })
}

// 查询检验类型详细
export function getInspectionType(inspectionTypeId) {
  return request({
    url: '/system/inspection-type/' + inspectionTypeId,
    method: 'get'
  })
}

// 新增检验类型
export function addInspectionType(data) {
  return request({
    url: '/system/inspection-type',
    method: 'post',
    data: data
  })
}

// 修改检验类型
export function updateInspectionType(data) {
  return request({
    url: '/system/inspection-type',
    method: 'put',
    data: data
  })
}

// 删除检验类型
export function delInspectionType(inspectionTypeId) {
  return request({
    url: '/system/inspection-type/' + inspectionTypeId,
    method: 'delete'
  })
}